/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop.form;




import com.arsdigita.bebop.parameters.ParameterModel;

/**
 *    A class representing a password entry field in an HTML form.
 *
 *    @author Karl Goldstein 
 *    @author Uday Mathur 
 *    @author Rory Solomon 
 *    @author Michael Pih 
 *    @version $Id: //core-platform/dev/src/com/arsdigita/bebop/form/Password.java#7 $
 */
public class Password extends Widget {

    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/bebop/form/Password.java#7 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    public Password(String name) {
        super(name);
    }

    public Password(ParameterModel model) {
        super(model);
    }

    /**
     *      Returns a string naming the type of this widget.
     */
    public String getType() {
        return "password";
    }

    /**
     *      Sets the <tt>MAXLENGTH</tt> attribute for the <tt>INPUT</tt> tag
     *      used to render this form element.
     */
    public void setMaxLength(int length) {
        setAttribute("maxlength",String.valueOf(length));
    }

    /**
     *      Sets the <tt>SIZE</tt> attribute for the <tt>INPUT</tt> tag
     *      used to render this form element.
     */
    public void setSize(int size) {
        setAttribute("size",String.valueOf(size));
    }

    public boolean isCompound() {
        return false;
    }

    /**
     *      Callback method for rendering this Password widget in a visitor.

     public void accept(FormVisitor visitor) throws IOException {
     visitor.visitPassword(this);
     }
    */

}
